import React from 'react';

class ReactiveComponent extends React.Component {

   constructor(props) {
      super(props);
      this.state = Object.assign({}, {matchedMedia: window.ReactiveMedia.getMatchedMedia()}, props.initialState);
      this.handleMediaChange = this.handleMediaChange.bind(this);
   }

   componentDidMount() {
      window.ReactiveMedia.addMediaChangeListener(this);
   }

   componentWillUnmount() {
      window.ReactiveMedia.removeMediaChangeListener(this);
   }

   handleMediaChange(media) {
      this.setState({matchedMedia: media});
   }
}

export default ReactiveComponent;